Subject: Re: [bug#40646] gnu: Add blueman.

From: Raghav Gururajan <[email-masked]>
Date: Sun, 19 Apr 2020 20:25:57 -0400

Hi Ludo!

Yes yes, sorry, I did not over look. I was gonna try it and then goon let you know. :-)

Regards,
RG.

On April 19, 2020 6:21:23 p.m. EDT, "Ludovic Courtès" <[email-masked]> wrote:
>Hi,
>
>"Raghav Gururajan" <[email-masked]> skribis:
>
>>>> + (substitute* "apps/blueman-adapters.in"
>>>> + (("@PYTHON@") (string-append (assoc-ref inputs "python")
>>>> + "/bin/python3.7")))
>>> 
>>> Are you sure this is necessary? If these are scripts, the
>>> ‘patch-shebangs’ phase should take care of it. Perhaps it’s enough
>to
>>> add ‘python-wrapper’ as an input (it provides a “python” executable)
>and
>>> then you can remove all this?
>>
>> It is not necessary. Those scripts were not patched by
>'patch-shebangs' phase, and received warnings during build. So
>corrected them manually. :-)
>
>I think you overlooked the rest of my comment: if you add
>‘python-wrapper’ as an input, everything will be fine.
>
>Could you check?
>
>Thanks in advance!
>
>Ludo’.

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.